# Class yii\base\ExitException

Inheritance | yii\base\ExitException » Exception
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/ExitException.php

ExitException represents a normal termination of an application.

Do not catch ExitException. Yii will handle this exception to terminate the application gracefully.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$statusCode | integer | The exit status code | yii\base\ExitException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\base\ExitException

## Property Details

$statusCode public property

The exit status code

public integer $statusCode = null

## Method Details

__construct() public method

Constructor.

public void __construct ( $status = 0, $message = null, $code = 0, $previous = null )
$status | integer | The exit status code
$message | string | Error message
$code | integer | Error code
$previous | Throwable|Exception | The previous exception used for the exception chaining.